Bug 826058 - Include full dmesg output for kernel bugs/warnings reports
Include full dmesg output for kernel bugs/warnings reports
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 09:45 EDT by Stanislaw Gruszka
Modified: 2013-03-26 20:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-25 19:04:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislaw Gruszka 2012-05-29 09:45:20 EDT
Description of problem:
ABRT gnerate bug reports include only backtrace (which is marked by --- [cut off] --- lines) from dmesg. But this is ususally not enaugh information to found reason of the problem. Plese change ABRT to provide full dmesg output by default for kernel bugs.
Comment 1 Jiri Moskovcak 2012-05-31 05:02:18 EDT
commit 3dc83ee5c0987c9826426b8ebdbb455a5b3e9146
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Wed May 30 16:28:25 2012 +0200

    In oops post-create, add saving of the entire dmesg
    
    Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Comment 2 Fedora Update System 2012-08-03 06:27:03 EDT
abrt-2.0.11-1.fc17,libreport-2.0.11-1.fc17,btparser-0.18-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.11-1.fc17,libreport-2.0.11-1.fc17,btparser-0.18-2.fc17
Comment 3 Fedora Update System 2012-08-05 17:34:04 EDT
Package abrt-2.0.11-1.fc17, btparser-0.18-2.fc17, libreport-2.0.12-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.11-1.fc17 btparser-0.18-2.fc17 libreport-2.0.12-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.11-1.fc17,libreport-2.0.12-1.fc17,btparser-0.18-2.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-09 19:09:22 EDT
Package libreport-2.0.12-2.fc17, abrt-2.0.11-1.fc17, btparser-0.18-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.0.12-2.fc17 abrt-2.0.11-1.fc17 btparser-0.18-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.11-1.fc17,libreport-2.0.12-2.fc17,btparser-0.18-2.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-08-23 19:27:50 EDT
Package abrt-2.0.12-1.fc17, libreport-2.0.13-1.fc17, btparser-0.18-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.12-1.fc17 libreport-2.0.13-1.fc17 btparser-0.18-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.12-1.fc17,libreport-2.0.13-1.fc17,btparser-0.18-2.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-29 20:56:41 EDT
abrt-2.0.12-1.fc17, libreport-2.0.13-2.fc17, btparser-0.18-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Stanislaw Gruszka 2012-10-15 11:14:26 EDT
Is this working ?

Look for example at currently generated abrt bug report:
https://bugzilla.redhat.com/show_bug.cgi?id=866015

There is no dmesg attached ...
Comment 8 Stanislaw Gruszka 2012-12-04 11:04:12 EST
It does not work, at least it does not work by default. 

On current updated fedora 17 (abrt-2.0.18-1.fc17.x86_64) I triggered a kernel warning by doing as root:

modprobe brcmfmac
rmmod brcmfmac

as result abrt generate bug 883442 .

Dmesg was marked to be included by default , but it didn't found it way to bugzilla (it was stored .cache/abrt/spool/oops-DATE directory though).

Please modify abrt to attach dmesg by default to kernel bug reports.
Comment 9 Jiri Moskovcak 2012-12-05 02:31:52 EST
needs to be added to abrt oops report template
Comment 10 Denys Vlasenko 2013-01-03 11:05:14 EST
Fixed in git:

commit 8cd865eb9c2287a54304ae8883800b58c389b6d1
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Thu Jan 3 17:04:10 2013 +0100

    bugzilla_format_kernel.conf: Attach dmesg element
Comment 11 Fedora Update System 2013-02-05 08:37:27 EST
abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17
Comment 12 Fedora Update System 2013-02-05 08:41:36 EST
abrt-2.1.0-1.fc18,libreport-2.1.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.1.0-1.fc18,libreport-2.1.0-2.fc18
Comment 13 Fedora Update System 2013-02-07 21:19:08 EST
Package abrt-2.1.0-1.fc17, libreport-2.1.0-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.1.0-1.fc17 libreport-2.1.0-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2065/abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17
then log in and leave karma (feedback).
Comment 14 Stanislaw Gruszka 2013-02-08 08:48:46 EST
I'm not able to test that, seems abrt stop reporting kernel warnings at all. 

Two times, I removed abrt packages and config files, then install abrt-desktop again. Steps to reproduce like in comment 8. Abrt showed question "The report which will be send ... Do you want to enable submitted anonymous crash reports?" First time I press Yes, second time No. In both cases nothing else happened.
Comment 15 Jiri Moskovcak 2013-02-11 02:45:38 EST
(In reply to comment #14)
> I'm not able to test that, seems abrt stop reporting kernel warnings at all. 
> 
> Two times, I removed abrt packages and config files, then install
> abrt-desktop again. Steps to reproduce like in comment 8. Abrt showed
> question "The report which will be send ... Do you want to enable submitted
> anonymous crash reports?" First time I press Yes, second time No. In both
> cases nothing else happened.

- In both cases it probably found a duplicate on ABRT server which happnes before it tries to report to bugzilla and in that case nothing is reported back to users. You can try to run abrt-gui and report it from there, it should allow you to report to bugzilla even if it's already reported on abrt server.
Comment 16 Fedora Update System 2013-02-11 03:40:14 EST
abrt-2.1.1-1.fc18, libreport-2.1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-2111/abrt-2.1.1-1.fc18,libreport-2.1.1-1.fc18
Comment 17 Stanislaw Gruszka 2013-02-11 06:19:14 EST
Abrt-gui works as expected, it reported bug with dmesg included (bug 909872). Thanks!
Comment 18 Fedora Update System 2013-03-20 04:41:08 EDT
abrt-2.1.2-1.fc17,libreport-2.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.1.2-1.fc17,libreport-2.1.2-1.fc17
Comment 19 Fedora Update System 2013-03-20 04:56:11 EDT
abrt-2.1.2-1.fc18,libreport-2.1.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.1.2-1.fc18,libreport-2.1.2-1.fc18
Comment 20 Fedora Update System 2013-03-25 19:04:13 EDT
abrt-2.1.2-2.fc18, libreport-2.1.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-03-26 20:38:37 EDT
abrt-2.1.2-2.fc17, libreport-2.1.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.